Bulk Delete Collections
Deletes multiple collections in a single operation. Only referrers can bulk delete collections they referred. Requires signature verification.
DELETE
/collections/bulk
Deletes multiple collections in a single operation. Only referrers can bulk delete collections they referred. Requires signature verification.
Request Body required
application/jsonwallet_address
string
REQUIRED
Referrer wallet address
collections
string[]
REQUIRED
Array of collection UUIDs or predicted addresses
Array of:
message
string
REQUIRED
Message that was signed
signature
string
REQUIRED
EIP-191 signature of the message
Responses
200
Collections deleted successfully
application/jsonsuccess
boolean
message
string
Success message
400
Bad Request - Missing required fields
403
Forbidden - Invalid signature
404
Referrer not found
curl -X DELETE 'https://createkit.b3.fun/collections/bulk' \
-H 'Content-Type: application/json' \
-d '{
"wallet_address": "string",
"collections": [
"string"
],
"message": "string",
"signature": "string"
}'
const response = await fetch('https://createkit.b3.fun/collections/bulk', {
method: 'DELETE',
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"wallet_address": "string",
"collections": [
"string"
],
"message": "string",
"signature": "string"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.delete('https://createkit.b3.fun/collections/bulk', json={
"wallet_address": "string",
"collections": [
"string"
],
"message": "string",
"signature": "string"
})
print(response.json())
200
Response
{
"success": true,
"message": "<string>"
}
DELETE
/collections/bulk